April 20, 2020
Jiaxuan Li
Kim_lijiaxuan@163.com

--Brief description--
All two scripts are tested in Centos operating system and Windows 7 system, and may be available for other Linux and Windows systems.
Their functions are described below.

1.script1_Longest ORFs extraction.py: Each of transcript may be identified multiple ORFs of different lengths. 
                                      Script1 can extract the longest ORFs from each of transcript. Before using it, 
									  the users need to perform the ORF identification step (using Transdecoder software as an example). 
									  The output file "XXX.transdecoder.cds" in the ORF identification step is regarded as a input file in script1. 

2.script2_reference UTRs generation.py: For a given CDS sequence file, based on the transcript annotation gff3 file, 
                                        script2 can extract 5' UTR and 3'UTR sequences from assembled transcripts.

--Requirement--
Bioinformatic tools are listed below. We recommend add them into the environmental path to ensure all scripts successfully to be used.

trinityrnaseq_r20140717: https://sourceforge.net/p/trinityrnaseq
java v1.7.0_80: https://www.oracle.com/java/technologies/javase-downloads.html
TransDecoder: https://github.com/TransDecoder/TransDecoder
Python v2.7.9: https://www.python.org/ftp/python/2.7.9


--User manual--
#Script1#
Usage: python script1_Longest ORFs extraction.py -c <filename>
   -c <filename>:  input identified coding sequences filename in the FASTA format, required

Output: "Longest_ORFs_XXX(the number of ORFs).fasta" 


#Script2#
Usage: python script2_reference UTRs generation.py -c <filename> -a <filename> -d <filename> l <int>
   -c <filename>: input assembled transcript sequence filename in FASTA format, required
   -a <filename>: input assembled transcript annotation filename in GFF3 format, required
   -d <filename>: input defined reference coding sequence filename in FASTA format, required
   -l <int>: retained UTR length threshold, required

Output: "reference_UTR_lenCutOffXXX(UTRlenCutOff threshold)_XXX(the number of extracted UTRs).fasta"

